# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: capbankmodule/capbankmodule.proto
"""Generated protocol buffer code."""
from google.protobuf.internal import builder as _builder
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import uml_pb2 as uml__pb2
from commonmodule import commonmodule_pb2 as commonmodule_dot_commonmodule__pb2


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n!capbankmodule/capbankmodule.proto\x12\rcapbankmodule\x1a\tuml.proto\x1a\x1f\x63ommonmodule/commonmodule.proto\"U\n\rCapBankSystem\x12\x44\n\x13\x63onductingEquipment\x18\x01 \x01(\x0b\x32!.commonmodule.ConductingEquipmentB\x04\x80\xb5\x18\x01\"\xfa\x05\n\x12\x43\x61pBankControlYPSH\x12&\n\x06\x41mpLmt\x18\x01 \x01(\x0b\x32\x16.commonmodule.PhaseSPC\x12(\n\x08\x41mpThdHi\x18\x02 \x01(\x0b\x32\x16.commonmodule.PhaseAPC\x12(\n\x08\x41mpThdLo\x18\x03 \x01(\x0b\x32\x16.commonmodule.PhaseAPC\x12-\n\x0b\x43tlModeAuto\x18\x04 \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12.\n\x0c\x43tlModeOvrRd\x18\x05 \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12,\n\nCtlModeRem\x18\x06 \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12\x39\n\x07\x44irMode\x18\x07 \x01(\x0b\x32(.commonmodule.Optional_DirectionModeKind\x12#\n\x03Pos\x18\x08 \x01(\x0b\x32\x16.commonmodule.PhaseSPC\x12)\n\x07TempLmt\x18\t \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12+\n\tTempThdHi\x18\n \x01(\x0b\x32\x18.commonmodule.ControlAPC\x12+\n\tTempThdLo\x18\x0b \x01(\x0b\x32\x18.commonmodule.ControlAPC\x12&\n\x06VArLmt\x18\x0c \x01(\x0b\x32\x16.commonmodule.PhaseSPC\x12(\n\x08VArThdHi\x18\r \x01(\x0b\x32\x16.commonmodule.PhaseAPC\x12(\n\x08VArThdLo\x18\x0e \x01(\x0b\x32\x16.commonmodule.PhaseAPC\x12&\n\x06VolLmt\x18\x0f \x01(\x0b\x32\x16.commonmodule.PhaseSPC\x12(\n\x08VolThdHi\x18\x10 \x01(\x0b\x32\x16.commonmodule.PhaseAPC\x12(\n\x08VolThdLo\x18\x11 \x01(\x0b\x32\x16.commonmodule.PhaseAPC\"x\n\x0c\x43\x61pBankPoint\x12\x32\n\x07\x63ontrol\x18\x01 \x01(\x0b\x32!.capbankmodule.CapBankControlYPSH\x12\x34\n\tstartTime\x18\x02 \x01(\x0b\x32\x17.commonmodule.TimestampB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"C\n\nCapBankCSG\x12\x35\n\x06\x63rvPts\x18\x01 \x03(\x0b\x32\x1b.capbankmodule.CapBankPointB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"Q\n\x1a\x43\x61pBankControlScheduleFSCH\x12\x33\n\x06ValCSG\x18\x01 \x01(\x0b\x32\x19.capbankmodule.CapBankCSGB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"\x99\x01\n\x12\x43\x61pBankControlFSCC\x12\x34\n\x0b\x63ontrolFSCC\x18\x01 \x01(\x0b\x32\x19.commonmodule.ControlFSCCB\x04\x80\xb5\x18\x01\x12M\n\x1a\x63\x61pBankControlScheduleFSCH\x18\x02 \x01(\x0b\x32).capbankmodule.CapBankControlScheduleFSCH\"\xb5\x01\n\x0e\x43\x61pBankControl\x12\x36\n\x0c\x63ontrolValue\x18\x01 \x01(\x0b\x32\x1a.commonmodule.ControlValueB\x04\x80\xb5\x18\x01\x12,\n\x05\x63heck\x18\x02 \x01(\x0b\x32\x1d.commonmodule.CheckConditions\x12=\n\x12\x63\x61pBankControlFSCC\x18\x03 \x01(\x0b\x32!.capbankmodule.CapBankControlFSCC\"\xe1\x01\n\x15\x43\x61pBankControlProfile\x12\x42\n\x12\x63ontrolMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ControlMessageInfoB\x04\x80\xb5\x18\x01\x12?\n\x0e\x63\x61pBankControl\x18\x02 \x01(\x0b\x32\x1d.capbankmodule.CapBankControlB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12=\n\rcapBankSystem\x18\x03 \x01(\x0b\x32\x1c.capbankmodule.CapBankSystemB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\x9a\x01\n\x1a\x43\x61pBankDiscreteControlYPSH\x12H\n\x15logicalNodeForControl\x18\x01 \x01(\x0b\x32#.commonmodule.LogicalNodeForControlB\x04\x80\xb5\x18\x01\x12\x32\n\x07\x63ontrol\x18\x02 \x01(\x0b\x32!.capbankmodule.CapBankControlYPSH\"\xcd\x01\n\x16\x43\x61pBankDiscreteControl\x12\x36\n\x0c\x63ontrolValue\x18\x01 \x01(\x0b\x32\x1a.commonmodule.ControlValueB\x04\x80\xb5\x18\x01\x12,\n\x05\x63heck\x18\x02 \x01(\x0b\x32\x1d.commonmodule.CheckConditions\x12M\n\x1a\x63\x61pBankDiscreteControlYPSH\x18\x03 \x01(\x0b\x32).capbankmodule.CapBankDiscreteControlYPSH\"\xf1\x01\n\x1d\x43\x61pBankDiscreteControlProfile\x12\x42\n\x12\x63ontrolMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ControlMessageInfoB\x04\x80\xb5\x18\x01\x12G\n\x0e\x63\x61pBankControl\x18\x02 \x01(\x0b\x32%.capbankmodule.CapBankDiscreteControlB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12=\n\rcapBankSystem\x18\x03 \x01(\x0b\x32\x1c.capbankmodule.CapBankSystemB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\xd2\x03\n\x19\x43\x61pBankEventAndStatusYPSH\x12V\n\x1clogicalNodeForEventAndStatus\x18\x01 \x01(\x0b\x32*.commonmodule.LogicalNodeForEventAndStatusB\x04\x80\xb5\x18\x01\x12&\n\x06\x41mpLmt\x18\x02 \x01(\x0b\x32\x16.commonmodule.PhaseSPS\x12\x37\n\x07\x43tlMode\x18\x03 \x01(\x0b\x32&.commonmodule.Optional_ControlModeKind\x12&\n\x06\x44irRev\x18\x04 \x01(\x0b\x32\x16.commonmodule.PhaseSPS\x12\x36\n\x0b\x44ynamicTest\x18\x05 \x01(\x0b\x32!.commonmodule.ENS_DynamicTestKind\x12#\n\x03Pos\x18\x06 \x01(\x0b\x32\x16.commonmodule.PhaseDPS\x12\'\n\x07TempLmt\x18\x07 \x01(\x0b\x32\x16.commonmodule.PhaseSPS\x12&\n\x06VArLmt\x18\x08 \x01(\x0b\x32\x16.commonmodule.PhaseSPS\x12&\n\x06VolLmt\x18\t \x01(\x0b\x32\x16.commonmodule.PhaseSPS\"\x8f\x01\n\x0c\x43\x61pBankEvent\x12\x32\n\neventValue\x18\x01 \x01(\x0b\x32\x18.commonmodule.EventValueB\x04\x80\xb5\x18\x01\x12K\n\x19\x43\x61pBankEventAndStatusYPSH\x18\x02 \x01(\x0b\x32(.capbankmodule.CapBankEventAndStatusYPSH\"\xd7\x01\n\x13\x43\x61pBankEventProfile\x12>\n\x10\x65ventMessageInfo\x18\x01 \x01(\x0b\x32\x1e.commonmodule.EventMessageInfoB\x04\x80\xb5\x18\x01\x12;\n\x0c\x63\x61pBankEvent\x18\x02 \x01(\x0b\x32\x1b.capbankmodule.CapBankEventB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12=\n\rcapBankSystem\x18\x03 \x01(\x0b\x32\x1c.capbankmodule.CapBankSystemB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\xb9\x02\n\x0e\x43\x61pBankReading\x12\x62\n\"conductingEquipmentTerminalReading\x18\x01 \x01(\x0b\x32\x30.commonmodule.ConductingEquipmentTerminalReadingB\x04\x80\xb5\x18\x01\x12*\n\tphaseMMTN\x18\x02 \x01(\x0b\x32\x17.commonmodule.PhaseMMTN\x12.\n\x0breadingMMTR\x18\x03 \x01(\x0b\x32\x19.commonmodule.ReadingMMTR\x12.\n\x0breadingMMXU\x18\x04 \x01(\x0b\x32\x19.commonmodule.ReadingMMXU\x12\x37\n\x14secondaryReadingMMXU\x18\x05 \x01(\x0b\x32\x19.commonmodule.ReadingMMXU\"\xe1\x01\n\x15\x43\x61pBankReadingProfile\x12\x42\n\x12readingMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ReadingMessageInfoB\x04\x80\xb5\x18\x01\x12?\n\x0e\x63\x61pBankReading\x18\x02 \x01(\x0b\x32\x1d.capbankmodule.CapBankReadingB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12=\n\rcapBankSystem\x18\x03 \x01(\x0b\x32\x1c.capbankmodule.CapBankSystemB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\x92\x01\n\rCapBankStatus\x12\x34\n\x0bstatusValue\x18\x01 \x01(\x0b\x32\x19.commonmodule.StatusValueB\x04\x80\xb5\x18\x01\x12K\n\x19\x63\x61pBankEventAndStatusYPSH\x18\x02 \x01(\x0b\x32(.capbankmodule.CapBankEventAndStatusYPSH\"\xdc\x01\n\x14\x43\x61pBankStatusProfile\x12@\n\x11statusMessageInfo\x18\x01 \x01(\x0b\x32\x1f.commonmodule.StatusMessageInfoB\x04\x80\xb5\x18\x01\x12=\n\rcapBankStatus\x18\x02 \x01(\x0b\x32\x1c.capbankmodule.CapBankStatusB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12=\n\rcapBankSystem\x18\x03 \x01(\x0b\x32\x1c.capbankmodule.CapBankSystemB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\x42\x87\x01\n\x15openfmb.capbankmoduleP\x01ZTgitlab.com/openfmb/psm/ops/protobuf/go-openfmb-ops-protobuf/v2/openfmb/capbankmodule\xaa\x02\x15openfmb.capbankmoduleb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'capbankmodule.capbankmodule_pb2', _globals)
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  DESCRIPTOR._serialized_options = b'\n\025openfmb.capbankmoduleP\001ZTgitlab.com/openfmb/psm/ops/protobuf/go-openfmb-ops-protobuf/v2/openfmb/capbankmodule\252\002\025openfmb.capbankmodule'
  _CAPBANKSYSTEM.fields_by_name['conductingEquipment']._options = None
  _CAPBANKSYSTEM.fields_by_name['conductingEquipment']._serialized_options = b'\200\265\030\001'
  _CAPBANKPOINT.fields_by_name['startTime']._options = None
  _CAPBANKPOINT.fields_by_name['startTime']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKCSG.fields_by_name['crvPts']._options = None
  _CAPBANKCSG.fields_by_name['crvPts']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKCONTROLSCHEDULEFSCH.fields_by_name['ValCSG']._options = None
  _CAPBANKCONTROLSCHEDULEFSCH.fields_by_name['ValCSG']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKCONTROLFSCC.fields_by_name['controlFSCC']._options = None
  _CAPBANKCONTROLFSCC.fields_by_name['controlFSCC']._serialized_options = b'\200\265\030\001'
  _CAPBANKCONTROL.fields_by_name['controlValue']._options = None
  _CAPBANKCONTROL.fields_by_name['controlValue']._serialized_options = b'\200\265\030\001'
  _CAPBANKCONTROLPROFILE.fields_by_name['controlMessageInfo']._options = None
  _CAPBANKCONTROLPROFILE.fields_by_name['controlMessageInfo']._serialized_options = b'\200\265\030\001'
  _CAPBANKCONTROLPROFILE.fields_by_name['capBankControl']._options = None
  _CAPBANKCONTROLPROFILE.fields_by_name['capBankControl']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKCONTROLPROFILE.fields_by_name['capBankSystem']._options = None
  _CAPBANKCONTROLPROFILE.fields_by_name['capBankSystem']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKCONTROLPROFILE._options = None
  _CAPBANKCONTROLPROFILE._serialized_options = b'\300\363\030\001'
  _CAPBANKDISCRETECONTROLYPSH.fields_by_name['logicalNodeForControl']._options = None
  _CAPBANKDISCRETECONTROLYPSH.fields_by_name['logicalNodeForControl']._serialized_options = b'\200\265\030\001'
  _CAPBANKDISCRETECONTROL.fields_by_name['controlValue']._options = None
  _CAPBANKDISCRETECONTROL.fields_by_name['controlValue']._serialized_options = b'\200\265\030\001'
  _CAPBANKDISCRETECONTROLPROFILE.fields_by_name['controlMessageInfo']._options = None
  _CAPBANKDISCRETECONTROLPROFILE.fields_by_name['controlMessageInfo']._serialized_options = b'\200\265\030\001'
  _CAPBANKDISCRETECONTROLPROFILE.fields_by_name['capBankControl']._options = None
  _CAPBANKDISCRETECONTROLPROFILE.fields_by_name['capBankControl']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKDISCRETECONTROLPROFILE.fields_by_name['capBankSystem']._options = None
  _CAPBANKDISCRETECONTROLPROFILE.fields_by_name['capBankSystem']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKDISCRETECONTROLPROFILE._options = None
  _CAPBANKDISCRETECONTROLPROFILE._serialized_options = b'\300\363\030\001'
  _CAPBANKEVENTANDSTATUSYPSH.fields_by_name['logicalNodeForEventAndStatus']._options = None
  _CAPBANKEVENTANDSTATUSYPSH.fields_by_name['logicalNodeForEventAndStatus']._serialized_options = b'\200\265\030\001'
  _CAPBANKEVENT.fields_by_name['eventValue']._options = None
  _CAPBANKEVENT.fields_by_name['eventValue']._serialized_options = b'\200\265\030\001'
  _CAPBANKEVENTPROFILE.fields_by_name['eventMessageInfo']._options = None
  _CAPBANKEVENTPROFILE.fields_by_name['eventMessageInfo']._serialized_options = b'\200\265\030\001'
  _CAPBANKEVENTPROFILE.fields_by_name['capBankEvent']._options = None
  _CAPBANKEVENTPROFILE.fields_by_name['capBankEvent']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKEVENTPROFILE.fields_by_name['capBankSystem']._options = None
  _CAPBANKEVENTPROFILE.fields_by_name['capBankSystem']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKEVENTPROFILE._options = None
  _CAPBANKEVENTPROFILE._serialized_options = b'\300\363\030\001'
  _CAPBANKREADING.fields_by_name['conductingEquipmentTerminalReading']._options = None
  _CAPBANKREADING.fields_by_name['conductingEquipmentTerminalReading']._serialized_options = b'\200\265\030\001'
  _CAPBANKREADINGPROFILE.fields_by_name['readingMessageInfo']._options = None
  _CAPBANKREADINGPROFILE.fields_by_name['readingMessageInfo']._serialized_options = b'\200\265\030\001'
  _CAPBANKREADINGPROFILE.fields_by_name['capBankReading']._options = None
  _CAPBANKREADINGPROFILE.fields_by_name['capBankReading']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKREADINGPROFILE.fields_by_name['capBankSystem']._options = None
  _CAPBANKREADINGPROFILE.fields_by_name['capBankSystem']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKREADINGPROFILE._options = None
  _CAPBANKREADINGPROFILE._serialized_options = b'\300\363\030\001'
  _CAPBANKSTATUS.fields_by_name['statusValue']._options = None
  _CAPBANKSTATUS.fields_by_name['statusValue']._serialized_options = b'\200\265\030\001'
  _CAPBANKSTATUSPROFILE.fields_by_name['statusMessageInfo']._options = None
  _CAPBANKSTATUSPROFILE.fields_by_name['statusMessageInfo']._serialized_options = b'\200\265\030\001'
  _CAPBANKSTATUSPROFILE.fields_by_name['capBankStatus']._options = None
  _CAPBANKSTATUSPROFILE.fields_by_name['capBankStatus']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKSTATUSPROFILE.fields_by_name['capBankSystem']._options = None
  _CAPBANKSTATUSPROFILE.fields_by_name['capBankSystem']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _CAPBANKSTATUSPROFILE._options = None
  _CAPBANKSTATUSPROFILE._serialized_options = b'\300\363\030\001'
  _globals['_CAPBANKSYSTEM']._serialized_start=96
  _globals['_CAPBANKSYSTEM']._serialized_end=181
  _globals['_CAPBANKCONTROLYPSH']._serialized_start=184
  _globals['_CAPBANKCONTROLYPSH']._serialized_end=946
  _globals['_CAPBANKPOINT']._serialized_start=948
  _globals['_CAPBANKPOINT']._serialized_end=1068
  _globals['_CAPBANKCSG']._serialized_start=1070
  _globals['_CAPBANKCSG']._serialized_end=1137
  _globals['_CAPBANKCONTROLSCHEDULEFSCH']._serialized_start=1139
  _globals['_CAPBANKCONTROLSCHEDULEFSCH']._serialized_end=1220
  _globals['_CAPBANKCONTROLFSCC']._serialized_start=1223
  _globals['_CAPBANKCONTROLFSCC']._serialized_end=1376
  _globals['_CAPBANKCONTROL']._serialized_start=1379
  _globals['_CAPBANKCONTROL']._serialized_end=1560
  _globals['_CAPBANKCONTROLPROFILE']._serialized_start=1563
  _globals['_CAPBANKCONTROLPROFILE']._serialized_end=1788
  _globals['_CAPBANKDISCRETECONTROLYPSH']._serialized_start=1791
  _globals['_CAPBANKDISCRETECONTROLYPSH']._serialized_end=1945
  _globals['_CAPBANKDISCRETECONTROL']._serialized_start=1948
  _globals['_CAPBANKDISCRETECONTROL']._serialized_end=2153
  _globals['_CAPBANKDISCRETECONTROLPROFILE']._serialized_start=2156
  _globals['_CAPBANKDISCRETECONTROLPROFILE']._serialized_end=2397
  _globals['_CAPBANKEVENTANDSTATUSYPSH']._serialized_start=2400
  _globals['_CAPBANKEVENTANDSTATUSYPSH']._serialized_end=2866
  _globals['_CAPBANKEVENT']._serialized_start=2869
  _globals['_CAPBANKEVENT']._serialized_end=3012
  _globals['_CAPBANKEVENTPROFILE']._serialized_start=3015
  _globals['_CAPBANKEVENTPROFILE']._serialized_end=3230
  _globals['_CAPBANKREADING']._serialized_start=3233
  _globals['_CAPBANKREADING']._serialized_end=3546
  _globals['_CAPBANKREADINGPROFILE']._serialized_start=3549
  _globals['_CAPBANKREADINGPROFILE']._serialized_end=3774
  _globals['_CAPBANKSTATUS']._serialized_start=3777
  _globals['_CAPBANKSTATUS']._serialized_end=3923
  _globals['_CAPBANKSTATUSPROFILE']._serialized_start=3926
  _globals['_CAPBANKSTATUSPROFILE']._serialized_end=4146
# @@protoc_insertion_point(module_scope)
